> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trading Calendars

> Get trading calendar information including holidays and special sessions



## OpenAPI

````yaml /api-reference/openapi.json get /v1/market/calendars
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/market/calendars:
    get:
      tags:
        - Market
      summary: Trading Calendars
      description: Get trading calendar information including holidays and special sessions
      operationId: get_v1-market-calendars-380c201f49c92fdd6f8e8354d6040f4f
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_GetCalendarsResponse'
      deprecated: false
components:
  schemas:
    ApiResponse_for_GetCalendarsResponse:
      title: ApiResponse_for_GetCalendarsResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetCalendarsResponse'
        error:
          type: boolean
    GetCalendarsResponse:
      type: object
      required:
        - calendars
      properties:
        calendars:
          type: array
          items:
            $ref: '#/components/schemas/CalendarDto'
    CalendarDto:
      type: object
      required:
        - closeHour
        - code
        - holidays
        - id
        - name
        - openDayBefore
        - openHour
        - openOnWeekends
        - timezone
      properties:
        closeHour:
          type: string
        code:
          type: string
        holidays:
          type: array
          items:
            $ref: '#/components/schemas/CalendarHolidayDto'
        id:
          type: string
        name:
          type: string
        openDayBefore:
          type: boolean
        openHour:
          type: string
        openOnWeekends:
          type: boolean
        timezone:
          type: string
    CalendarHolidayDto:
      type: object
      required:
        - date
      properties:
        date:
          type: string
        description:
          type: string
          nullable: true
        earlyCloseTime:
          type: string
          nullable: true
        lateOpenTime:
          type: string
          nullable: true
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````